<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/entities/vehicles/inheritedhelicopters/vehicle_expansiongyrocopter.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/de1/a03224_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">vehicle_expansiongyrocopter.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/de1/a03224.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * Vehicle_ExpansionGyrocopter.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment"> */</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">/**</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @class       Vehicle_ExpansionGyrocopter</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> * @brief</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="comment"> */</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html">   17</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/d6c/a07850.html">Vehicle_ExpansionGyrocopter</a> : <a class="code hl_class" href="../../d4/de6/a08486.html">ExpansionHelicopterScript</a></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#ae82ebf40581c885895de7a86f8dfe76f">   19</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#ae82ebf40581c885895de7a86f8dfe76f">Vehicle_ExpansionGyrocopter</a>()</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        m_dmgContactCoef = 0.05;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        m_ExplosionSize = 2;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#ae08dd8469a375649991050f3dd600057">   25</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../d0/dd3/a07870.html">CarLightBase</a> <a class="code hl_function" href="../../d8/d6c/a07850.html#ae08dd8469a375649991050f3dd600057">CreateFrontLight</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;CreateFrontLight&quot;</span>);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d0/dd3/a07870.html">CarLightBase</a>.Cast(ScriptedLightBase.CreateLight(ExpansionHelicopterFrontLight));</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#aa119b68ac1e015915f5404d8cc3fc426">   34</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#aa119b68ac1e015915f5404d8cc3fc426">GetAnimInstance</a>()</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetAnimInstance&quot;</span>);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../db/d12/a07510.html">ExpansionVehicleAnimInstances</a>.<a class="code hl_variable" href="../../db/d12/a07510.html#a879e1c7d084286c5190a066903c1b06e">EXPANSION_GYROCOPTER</a>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#adfe02d5f16aabd9270a770ba6f0201ca">   43</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#adfe02d5f16aabd9270a770ba6f0201ca">GetSeatAnimationType</a>(<span class="keywordtype">int</span> posIdx)</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetSeatAnimationType&quot;</span>).Add(posIdx);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">return</span> DayZPlayerConstants.VEHICLESEAT_DRIVER;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#ad5fa73ed3349e543d46f1a57a643db1b">   52</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#ad5fa73ed3349e543d46f1a57a643db1b">Get3rdPersonCameraType</a>()</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;Get3rdPersonCameraType&quot;</span>);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">return</span> DayZPlayerCameras.DAYZCAMERA_3RD_VEHICLE;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#af8c9aeb5fba78fff9d72fe4fc37d34ba">   61</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#af8c9aeb5fba78fff9d72fe4fc37d34ba">IsVitalHelicopterBattery</a>()</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalHelicopterBattery&quot;</span>);</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#aa72396b894e9db7d474005d14ca2514c">   70</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#aa72396b894e9db7d474005d14ca2514c">IsVitalTruckBattery</a>()</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalTruckBattery&quot;</span>);</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#a379f65cf59c42adf55c700d94e4b6172">   79</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#a379f65cf59c42adf55c700d94e4b6172">IsVitalCarBattery</a>()</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalHelicopterBattery&quot;</span>);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span> </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span> </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#abcff8761c5299f44c08179f88a8ae439">   88</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#abcff8761c5299f44c08179f88a8ae439">IsVitalSparkPlug</a>()</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalSparkPlug&quot;</span>);</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#a6702b48fff0bc08308700abf24ec408f">   97</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#a6702b48fff0bc08308700abf24ec408f">IsVitalGlowPlug</a>()</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalGlowPlug&quot;</span>);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#a08b757109f1ae2cb997a7e782b21f0e3">  106</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#a08b757109f1ae2cb997a7e782b21f0e3">IsVitalIgniterPlug</a>()</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalIgniterPlug&quot;</span>);</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span> </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span> </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#a4d7e95c47b532519bfa29f3bda59f145">  115</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#a4d7e95c47b532519bfa29f3bda59f145">IsVitalRadiator</a>()</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    {</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalRadiator&quot;</span>);</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span> </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    }</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span> </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#a8fc47732fa34809c05f5742683e440b8">  124</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#a8fc47732fa34809c05f5742683e440b8">IsVitalEngineBelt</a>()</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    {</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalEngineBelt&quot;</span>);</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    }</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span> </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#ad7f10055430ed4d403db98426639a64d">  133</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#ad7f10055430ed4d403db98426639a64d">IsVitalHydraulicHoses</a>()</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalHydraulicHoses&quot;</span>);</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span> </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    }</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span> </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#a094f3023a72dce2598643e9eef74104d">  142</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#a094f3023a72dce2598643e9eef74104d">GetActionDistanceFuel</a>()</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    {</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetActionDistanceFuel&quot;</span>);</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span> </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <span class="keywordflow">return</span> 4.5;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    }</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#a381d1a4966c3fa5991f8f9edc594d93d">  151</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#a381d1a4966c3fa5991f8f9edc594d93d">GetCameraHeight</a>()</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    {</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetCameraHeight&quot;</span>);</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span> </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <span class="keywordflow">return</span> 1;</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    }</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span> </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#a79c838685c664969a7e988c53abafa01">  160</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#a79c838685c664969a7e988c53abafa01">GetCameraDistance</a>()</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    {</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetCameraDistance&quot;</span>);</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span> </div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <span class="keywordflow">return</span> 6;</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>    }</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span> </div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#a8f6fdb7539223d6c893afedb4396b188">  169</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#a8f6fdb7539223d6c893afedb4396b188">LeavingSeatDoesAttachment</a>(<span class="keywordtype">int</span> posIdx)</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    {</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;LeavingSeatDoesAttachment&quot;</span>).Add(posIdx);</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span> </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    }</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span> </div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#af0e004c6a8f2b63309b5e2a6068f3bc5">  178</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#af0e004c6a8f2b63309b5e2a6068f3bc5">GetActionCompNameFuel</a>()</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    {</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetActionCompNameFuel&quot;</span>);</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span> </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;refill&quot;</span>;</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    }</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span> </div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#ae18e8756abfd1fdb5e9360fac4e8e316">  187</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#ae18e8756abfd1fdb5e9360fac4e8e316">GetDoorSelectionNameFromSeatPos</a>(<span class="keywordtype">int</span> posIdx)</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>    {</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetDoorSelectionNameFromSeatPos&quot;</span>).Add(posIdx);</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        </div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    }</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span> </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#affedcb51dd2c86e4105b014c94297a6e">  196</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#affedcb51dd2c86e4105b014c94297a6e">GetDoorInvSlotNameFromSeatPos</a>(<span class="keywordtype">int</span> posIdx)</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>    {</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetDoorInvSlotNameFromSeatPos&quot;</span>).Add(posIdx);</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        </div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>    }</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span> </div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#a9fe7589f44428f6dbe78dbb27b05c5b9">  205</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#a9fe7589f44428f6dbe78dbb27b05c5b9">GetCarDoorsState</a>(<span class="keywordtype">string</span> slotType)</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>    {</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        <a class="code hl_class" href="../../d2/d33/a07690.html">CarDoor</a> carDoor;</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>        <span class="keywordflow">if</span> (!Class.CastTo(carDoor, FindAttachmentBySlotName(slotType)))</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>        {</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>            <span class="keywordflow">return</span> CarDoorState.DOORS_MISSING;</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        }</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span> </div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        <span class="keywordflow">return</span> CarDoorState.DOORS_MISSING;</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>    }</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span> </div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#aadef19e204f82f5a94cb94c4565281b8">  216</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#aadef19e204f82f5a94cb94c4565281b8">CanReachSeatFromSeat</a>(<span class="keywordtype">int</span> currentSeat, <span class="keywordtype">int</span> nextSeat)</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>    {</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a0d014f7d8fe470a42032abc78925b9d5">CF_Trace_2</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;CanReachSeatFromSeat&quot;</span>).Add(currentSeat).Add(nextSeat);</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span> </div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>    }</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span> </div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#a4b19153442754ccc7b157318524d7b55">  225</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#a4b19153442754ccc7b157318524d7b55">CanReachDoorsFromSeat</a>(<span class="keywordtype">string</span> pDoorsSelection, <span class="keywordtype">int</span> pCurrentSeat)</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    {</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a0d014f7d8fe470a42032abc78925b9d5">CF_Trace_2</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;CanReachDoorsFromSeat&quot;</span>).Add(pDoorsSelection).Add(pCurrentSeat);</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span> </div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>    }</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span> </div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#a32e12f03eb9c5c030cf4c652957121ad">  234</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#a32e12f03eb9c5c030cf4c652957121ad">CrewCanGetThrough</a>(<span class="keywordtype">int</span> posIdx)</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>    {</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;CrewCanGetThrough&quot;</span>).Add(posIdx);</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span> </div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>    }</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span> </div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#a7bad87755bff169f7dc934de0c3436df">  243</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#a7bad87755bff169f7dc934de0c3436df">GetAnimSourceFromSelection</a>(<span class="keywordtype">string</span> selection)</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>    {</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>    }</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span> </div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno"><a class="line" href="../../d8/d6c/a07850.html#ae6134450e5518391c3e73df91e99be5f">  248</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d6c/a07850.html#ae6134450e5518391c3e73df91e99be5f">SetActions</a>()</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>    {</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;SetActions&quot;</span>);</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span> </div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>        super.SetActions();</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>    }</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>};</div>
<div class="ttc" id="aa00722_html_a0d014f7d8fe470a42032abc78925b9d5"><div class="ttname"><a href="../../db/d7c/a00722.html#a0d014f7d8fe470a42032abc78925b9d5">CF_Trace_2</a></div><div class="ttdeci">static CF_Trace CF_Trace_2(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00081">cf_trace.c:81</a></div></div>
<div class="ttc" id="aa00722_html_a2dbd0d5f5331e4721875b123084eb0df"><div class="ttname"><a href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a></div><div class="ttdeci">static CF_Trace CF_Trace_1(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00075">cf_trace.c:75</a></div></div>
<div class="ttc" id="aa00722_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa07510_html"><div class="ttname"><a href="../../db/d12/a07510.html">ExpansionVehicleAnimInstances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d5c/a02933_source.html#l00016">expansionvehicleaniminstances.c:17</a></div></div>
<div class="ttc" id="aa07510_html_a879e1c7d084286c5190a066903c1b06e"><div class="ttname"><a href="../../db/d12/a07510.html#a879e1c7d084286c5190a066903c1b06e">ExpansionVehicleAnimInstances::EXPANSION_GYROCOPTER</a></div><div class="ttdeci">static int EXPANSION_GYROCOPTER</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d5c/a02933_source.html#l00051">expansionvehicleaniminstances.c:51</a></div></div>
<div class="ttc" id="aa07690_html"><div class="ttname"><a href="../../d2/d33/a07690.html">CarDoor</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d47/a03050_source.html#l00001">cardoor.c:2</a></div></div>
<div class="ttc" id="aa07850_html"><div class="ttname"><a href="../../d8/d6c/a07850.html">Vehicle_ExpansionGyrocopter</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00017">vehicle_expansiongyrocopter.c:18</a></div></div>
<div class="ttc" id="aa07850_html_a08b757109f1ae2cb997a7e782b21f0e3"><div class="ttname"><a href="../../d8/d6c/a07850.html#a08b757109f1ae2cb997a7e782b21f0e3">Vehicle_ExpansionGyrocopter::IsVitalIgniterPlug</a></div><div class="ttdeci">override bool IsVitalIgniterPlug()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00106">vehicle_expansiongyrocopter.c:106</a></div></div>
<div class="ttc" id="aa07850_html_a094f3023a72dce2598643e9eef74104d"><div class="ttname"><a href="../../d8/d6c/a07850.html#a094f3023a72dce2598643e9eef74104d">Vehicle_ExpansionGyrocopter::GetActionDistanceFuel</a></div><div class="ttdeci">override float GetActionDistanceFuel()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00142">vehicle_expansiongyrocopter.c:142</a></div></div>
<div class="ttc" id="aa07850_html_a32e12f03eb9c5c030cf4c652957121ad"><div class="ttname"><a href="../../d8/d6c/a07850.html#a32e12f03eb9c5c030cf4c652957121ad">Vehicle_ExpansionGyrocopter::CrewCanGetThrough</a></div><div class="ttdeci">override bool CrewCanGetThrough(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00234">vehicle_expansiongyrocopter.c:234</a></div></div>
<div class="ttc" id="aa07850_html_a379f65cf59c42adf55c700d94e4b6172"><div class="ttname"><a href="../../d8/d6c/a07850.html#a379f65cf59c42adf55c700d94e4b6172">Vehicle_ExpansionGyrocopter::IsVitalCarBattery</a></div><div class="ttdeci">override bool IsVitalCarBattery()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00079">vehicle_expansiongyrocopter.c:79</a></div></div>
<div class="ttc" id="aa07850_html_a381d1a4966c3fa5991f8f9edc594d93d"><div class="ttname"><a href="../../d8/d6c/a07850.html#a381d1a4966c3fa5991f8f9edc594d93d">Vehicle_ExpansionGyrocopter::GetCameraHeight</a></div><div class="ttdeci">override float GetCameraHeight()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00151">vehicle_expansiongyrocopter.c:151</a></div></div>
<div class="ttc" id="aa07850_html_a4b19153442754ccc7b157318524d7b55"><div class="ttname"><a href="../../d8/d6c/a07850.html#a4b19153442754ccc7b157318524d7b55">Vehicle_ExpansionGyrocopter::CanReachDoorsFromSeat</a></div><div class="ttdeci">override bool CanReachDoorsFromSeat(string pDoorsSelection, int pCurrentSeat)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00225">vehicle_expansiongyrocopter.c:225</a></div></div>
<div class="ttc" id="aa07850_html_a4d7e95c47b532519bfa29f3bda59f145"><div class="ttname"><a href="../../d8/d6c/a07850.html#a4d7e95c47b532519bfa29f3bda59f145">Vehicle_ExpansionGyrocopter::IsVitalRadiator</a></div><div class="ttdeci">override bool IsVitalRadiator()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00115">vehicle_expansiongyrocopter.c:115</a></div></div>
<div class="ttc" id="aa07850_html_a6702b48fff0bc08308700abf24ec408f"><div class="ttname"><a href="../../d8/d6c/a07850.html#a6702b48fff0bc08308700abf24ec408f">Vehicle_ExpansionGyrocopter::IsVitalGlowPlug</a></div><div class="ttdeci">override bool IsVitalGlowPlug()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00097">vehicle_expansiongyrocopter.c:97</a></div></div>
<div class="ttc" id="aa07850_html_a79c838685c664969a7e988c53abafa01"><div class="ttname"><a href="../../d8/d6c/a07850.html#a79c838685c664969a7e988c53abafa01">Vehicle_ExpansionGyrocopter::GetCameraDistance</a></div><div class="ttdeci">override float GetCameraDistance()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00160">vehicle_expansiongyrocopter.c:160</a></div></div>
<div class="ttc" id="aa07850_html_a7bad87755bff169f7dc934de0c3436df"><div class="ttname"><a href="../../d8/d6c/a07850.html#a7bad87755bff169f7dc934de0c3436df">Vehicle_ExpansionGyrocopter::GetAnimSourceFromSelection</a></div><div class="ttdeci">override string GetAnimSourceFromSelection(string selection)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00243">vehicle_expansiongyrocopter.c:243</a></div></div>
<div class="ttc" id="aa07850_html_a8f6fdb7539223d6c893afedb4396b188"><div class="ttname"><a href="../../d8/d6c/a07850.html#a8f6fdb7539223d6c893afedb4396b188">Vehicle_ExpansionGyrocopter::LeavingSeatDoesAttachment</a></div><div class="ttdeci">override bool LeavingSeatDoesAttachment(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00169">vehicle_expansiongyrocopter.c:169</a></div></div>
<div class="ttc" id="aa07850_html_a8fc47732fa34809c05f5742683e440b8"><div class="ttname"><a href="../../d8/d6c/a07850.html#a8fc47732fa34809c05f5742683e440b8">Vehicle_ExpansionGyrocopter::IsVitalEngineBelt</a></div><div class="ttdeci">override bool IsVitalEngineBelt()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00124">vehicle_expansiongyrocopter.c:124</a></div></div>
<div class="ttc" id="aa07850_html_a9fe7589f44428f6dbe78dbb27b05c5b9"><div class="ttname"><a href="../../d8/d6c/a07850.html#a9fe7589f44428f6dbe78dbb27b05c5b9">Vehicle_ExpansionGyrocopter::GetCarDoorsState</a></div><div class="ttdeci">override int GetCarDoorsState(string slotType)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00205">vehicle_expansiongyrocopter.c:205</a></div></div>
<div class="ttc" id="aa07850_html_aa119b68ac1e015915f5404d8cc3fc426"><div class="ttname"><a href="../../d8/d6c/a07850.html#aa119b68ac1e015915f5404d8cc3fc426">Vehicle_ExpansionGyrocopter::GetAnimInstance</a></div><div class="ttdeci">override int GetAnimInstance()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00034">vehicle_expansiongyrocopter.c:34</a></div></div>
<div class="ttc" id="aa07850_html_aa72396b894e9db7d474005d14ca2514c"><div class="ttname"><a href="../../d8/d6c/a07850.html#aa72396b894e9db7d474005d14ca2514c">Vehicle_ExpansionGyrocopter::IsVitalTruckBattery</a></div><div class="ttdeci">override bool IsVitalTruckBattery()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00070">vehicle_expansiongyrocopter.c:70</a></div></div>
<div class="ttc" id="aa07850_html_aadef19e204f82f5a94cb94c4565281b8"><div class="ttname"><a href="../../d8/d6c/a07850.html#aadef19e204f82f5a94cb94c4565281b8">Vehicle_ExpansionGyrocopter::CanReachSeatFromSeat</a></div><div class="ttdeci">override bool CanReachSeatFromSeat(int currentSeat, int nextSeat)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00216">vehicle_expansiongyrocopter.c:216</a></div></div>
<div class="ttc" id="aa07850_html_abcff8761c5299f44c08179f88a8ae439"><div class="ttname"><a href="../../d8/d6c/a07850.html#abcff8761c5299f44c08179f88a8ae439">Vehicle_ExpansionGyrocopter::IsVitalSparkPlug</a></div><div class="ttdeci">override bool IsVitalSparkPlug()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00088">vehicle_expansiongyrocopter.c:88</a></div></div>
<div class="ttc" id="aa07850_html_ad5fa73ed3349e543d46f1a57a643db1b"><div class="ttname"><a href="../../d8/d6c/a07850.html#ad5fa73ed3349e543d46f1a57a643db1b">Vehicle_ExpansionGyrocopter::Get3rdPersonCameraType</a></div><div class="ttdeci">override int Get3rdPersonCameraType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00052">vehicle_expansiongyrocopter.c:52</a></div></div>
<div class="ttc" id="aa07850_html_ad7f10055430ed4d403db98426639a64d"><div class="ttname"><a href="../../d8/d6c/a07850.html#ad7f10055430ed4d403db98426639a64d">Vehicle_ExpansionGyrocopter::IsVitalHydraulicHoses</a></div><div class="ttdeci">override bool IsVitalHydraulicHoses()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00133">vehicle_expansiongyrocopter.c:133</a></div></div>
<div class="ttc" id="aa07850_html_adfe02d5f16aabd9270a770ba6f0201ca"><div class="ttname"><a href="../../d8/d6c/a07850.html#adfe02d5f16aabd9270a770ba6f0201ca">Vehicle_ExpansionGyrocopter::GetSeatAnimationType</a></div><div class="ttdeci">override int GetSeatAnimationType(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00043">vehicle_expansiongyrocopter.c:43</a></div></div>
<div class="ttc" id="aa07850_html_ae08dd8469a375649991050f3dd600057"><div class="ttname"><a href="../../d8/d6c/a07850.html#ae08dd8469a375649991050f3dd600057">Vehicle_ExpansionGyrocopter::CreateFrontLight</a></div><div class="ttdeci">override CarLightBase CreateFrontLight()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00025">vehicle_expansiongyrocopter.c:25</a></div></div>
<div class="ttc" id="aa07850_html_ae18e8756abfd1fdb5e9360fac4e8e316"><div class="ttname"><a href="../../d8/d6c/a07850.html#ae18e8756abfd1fdb5e9360fac4e8e316">Vehicle_ExpansionGyrocopter::GetDoorSelectionNameFromSeatPos</a></div><div class="ttdeci">override string GetDoorSelectionNameFromSeatPos(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00187">vehicle_expansiongyrocopter.c:187</a></div></div>
<div class="ttc" id="aa07850_html_ae6134450e5518391c3e73df91e99be5f"><div class="ttname"><a href="../../d8/d6c/a07850.html#ae6134450e5518391c3e73df91e99be5f">Vehicle_ExpansionGyrocopter::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00248">vehicle_expansiongyrocopter.c:248</a></div></div>
<div class="ttc" id="aa07850_html_ae82ebf40581c885895de7a86f8dfe76f"><div class="ttname"><a href="../../d8/d6c/a07850.html#ae82ebf40581c885895de7a86f8dfe76f">Vehicle_ExpansionGyrocopter::Vehicle_ExpansionGyrocopter</a></div><div class="ttdeci">void Vehicle_ExpansionGyrocopter()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00019">vehicle_expansiongyrocopter.c:19</a></div></div>
<div class="ttc" id="aa07850_html_af0e004c6a8f2b63309b5e2a6068f3bc5"><div class="ttname"><a href="../../d8/d6c/a07850.html#af0e004c6a8f2b63309b5e2a6068f3bc5">Vehicle_ExpansionGyrocopter::GetActionCompNameFuel</a></div><div class="ttdeci">override string GetActionCompNameFuel()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00178">vehicle_expansiongyrocopter.c:178</a></div></div>
<div class="ttc" id="aa07850_html_af8c9aeb5fba78fff9d72fe4fc37d34ba"><div class="ttname"><a href="../../d8/d6c/a07850.html#af8c9aeb5fba78fff9d72fe4fc37d34ba">Vehicle_ExpansionGyrocopter::IsVitalHelicopterBattery</a></div><div class="ttdeci">override bool IsVitalHelicopterBattery()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00061">vehicle_expansiongyrocopter.c:61</a></div></div>
<div class="ttc" id="aa07850_html_affedcb51dd2c86e4105b014c94297a6e"><div class="ttname"><a href="../../d8/d6c/a07850.html#affedcb51dd2c86e4105b014c94297a6e">Vehicle_ExpansionGyrocopter::GetDoorInvSlotNameFromSeatPos</a></div><div class="ttdeci">override string GetDoorInvSlotNameFromSeatPos(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de1/a03224_source.html#l00196">vehicle_expansiongyrocopter.c:196</a></div></div>
<div class="ttc" id="aa07870_html"><div class="ttname"><a href="../../d0/dd3/a07870.html">CarLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d19/a03242_source.html#l00001">expansion250nfrontlight.c:2</a></div></div>
<div class="ttc" id="aa08486_html"><div class="ttname"><a href="../../d4/de6/a08486.html">ExpansionHelicopterScript</a></div><div class="ttdoc">This class handle helicopter movement and physics.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_c3648096b79390b8f298110e534a6ba9.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_0df2f0f75bfab0aa29ae62af7848909b.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_b27e8102d55cc5d44e37d1ed7930554c.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_600e33639e8af487c3039d73b5771cee.html">vehicles</a></li><li class="navelem"><a class="el" href="../../dir_ec5232f5f9d23354a80cae55118b3a25.html">inheritedhelicopters</a></li><li class="navelem"><a class="el" href="../../d7/de1/a03224.html">vehicle_expansiongyrocopter.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
